#
# Conditional build:
%bcond_without	tests	# don't perform tests
#
Summary:	GNU arbitrary precision library - BSD-compatible MP library
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - biblioteka MP kompatybilna z BSD
Name:		gmp-bsd
Version:	5.0.5
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.xz
# Source0-md5:	8aef50959acec2a1ad41d144ffe0f3b5
Patch0:		gmp-info.patch
Patch1:		gmp-multilib.patch
Patch2:		gmp-cpu.patch
Patch3:		gmp-tinfo.patch
Patch4:		gmp-am.patch
URL:		http://gmplib.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains BSD-compatible MP library based on GNU MP.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę MP kompatybilną z BSD opartą na GNU MP.

%package devel
Summary:	GNU arbitrary precision library - BSD-compatible MP API
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - API MP kompatybilne z BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains BSD-compatible MP library header file.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy biblioteki MP kompatybilnej z BSD.

%package static
Summary:	GNU arbitrary precision library - BSD-compatible static MP library
Summary(pl.UTF-8):	Biblioteka arytmetyczna GNU - biblioteka statyczna MP kompatybilna z BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains BSD-compatible MP static library based on GNU
MP.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną MP kompatybilną z BSD opartą
na GNU MP.

%prep
%setup -q -n gmp-%{version}
%patch0 -p1
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
# ugly hack, don't apply on other archs (also recheck sizes on each upgrade)
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-cpu=%{_target_cpu} \
	--enable-fft \
	--enable-mpbsd

%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgmp.* \
	$RPM_BUILD_ROOT%{_includedir}/gmp.h \
	$RPM_BUILD_ROOT%{_infodir}/gmp.info*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmp.so
%{_libdir}/libmp.la
%{_includedir}/mp.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmp.a
%changelog
* Wed Feb 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmp-bsd.git;a=log;h=master

* Wed Feb 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 8948cb6
- last gmp version (5.0.5) containing BSD-compatibility library (libmp) cloned as gmp-bsd
- enhanced am patch to cover also automake 1.13 compatibility

* Wed May 09 2012 Jakub Bogusz <qboosh@pld-linux.org> f89f5e8
- updated to 5.0.5
- added am patch (fixes build with automake 1.12)

* Mon Feb 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fc8a50
- updated to 5.0.4

* Mon Jan 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 5e0f15e
- updated to 5.0.3
- updated cpu patch

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 4db0fee
- updated to 5.0.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8cd1cba
- dropped pre-cvs changelog

* Sat Mar 27 2010 Jakub Bogusz <qboosh@pld-linux.org> ddf782b
- updated to 5.0.1
- updated multilib,cpu patches

* Thu Jan 21 2010 Paweł Sikora <pluto@pld-linux.org> 8800579
- updated to 4.3.2.

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> f5f1181
- updated to 4.3.1
- added cpu,tinfo patches

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 79bf06f
- reintroduce --with-cpu; host_cpu is host CPU passed through config.sub, so contains just CPU family, not model

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 19ec673
- in PLD tputs() is in libtinfo

* Mon Sep 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 581e22e
- updated to 4.2.4
- dropped -Wl,-z,-noexecstack from specflags (invalid as compiler option, libs have
  non-executable stack anyway)

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> fe7234c
- updated to 4.2.3
- removed obsolete cstdio patch

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 8758d6e
- obsolete

* Wed Jul 02 2008 Szymon Siwek <sls@pld-linux.org> 8db3d4f
- added cstdio.patch
- rel. 4

* Wed Jul 02 2008 Szymon Siwek <sls@pld-linux.org> 79b3f9d
- fix for gcc43 from Fedora

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 74e07df
- unify ftp.gnu.org urls

* Fri Mar 21 2008 Paweł Sikora <pluto@pld-linux.org> 1d86a3b
- mark stack as non-executable for PaX kernel, release 3.

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> a1854ba
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sat Jan 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 4370e27
- build with BSD-compatible libmp (packaged as -bsd-*)
- desc fixes (no static libs in -devel)
- LGPL v3+
- release 2

